{
  "compilerOptions": {
    "target": "es2015",
    "module": "es2020",
    "lib": [
      "es2019",
      "dom"
    ],
    "moduleResolution": "node",
    "sourceMap": true,
    "declaration": true,
    "emitDecoratorMetadata": true,
    "experimentalDecorators": true,
    "removeComments": false,
    "importHelpers": true,
    "noImplicitAny": false,
    "suppressImplicitAnyIndexErrors": true,
    "typeRoots": [
      "node_modules/@types"
    ],
    "types": [
      "node"
    ],
    "outDir": "./dist",
    "rootDir": "./"
  },
  "include": [
    "**/*.ts"
  ],
  "exclude": [
    "node_modules",
    "dist",
    "src/**/*.spec.ts"
  ],
  "baseUrl": "./src",
  "angularCompilerOptions": {
    "genDir": "dist",
    "debug": false,
    "enableIvy":true,
    "allowEmptyCodegenFiles": true,
    "aot": true,
    "skipMetadataEmit" : false,
    "strictMetadataEmit": false
  }
}
